Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QKbdDriverFactory Class Reference

The QKbdDriverFactory class creates QWSKeyboardHandler objects for Qt/Embedded. More...

`#include <qkbddriverfactory_qws.h>`

List of all member functions.

## Static Public Members

- QStringList keys ()
- QWSKeyboardHandler * create ( const QString & key, const QString & device )

## Detailed Description

The QKbdDriverFactory class creates QWSKeyboardHandler objects for Qt/Embedded.

The graphics driver factory creates a QWSKeyboardHandler object for a given key with QKbdDriverFactory::create(key).

The drivers are either built-in or dynamically loaded from a driver plugin (see QKbdDriverPlugin).

This class is only available in Qt/Embedded.

QKbdDriverFactory::keys() returns a list of valid keys.

## Member Function Documentation

### QWSKeyboardHandler * QKbdDriverFactory::create ( const QString & key, const QString & device )`[static]`

Creates a QWSKeyboardHandler object that matches key for device device. This is either a built-in driver, or a driver from a driver plugin.

See also keys().

### QStringList QKbdDriverFactory::keys ()`[static]`

Returns the list of keys this factory can create drivers for.

See also create().

This file is part of the Qt toolkit. Copyright © 1995-2003 Trolltech. All Rights Reserved.